Bug 1309927 - [doc] update install guide to use USM instead of Ceph Deploy
Summary: [doc] update install guide to use USM instead of Ceph Deploy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 2.0
Assignee: Aron Gunn
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-19 00:54 UTC by Federico Lucifredi
Modified: 2016-08-23 19:30 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:30:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Federico Lucifredi 2016-02-19 00:54:22 UTC
Description of problem:


Current RHCS install guides for Ubuntu and RHEL use ceph-deploy as the driving mechanism.

In 2.0, these existing guides need to be updated to use USM (RH Storage Console) as the driving mechanism instead.

This is separate from the other two setup references to be included in 2.0 
(1) creating a cluster with pure CLI — this is documentation existing upstream, we agreed with J Wilkins to port this downstream as well. This is a new document.

(2) A DevOps integration guide illustrating how to use Ansible to build a cluster in a proper DevOps path that is integrated by the customer. This is also a new document.

(1) and (2) are separate items from this one, and tracked by other bugs.


I discussed this with both Anjana in BLR and John in LA. Please ask if there is any confusion.

Comment 2 khartsoe@redhat.com 2016-03-10 19:09:56 UTC
Federico: Please confirm support for USM w/ Ceph Ubuntu; The RHS Console-2 Productization POR (page 5) states Ubuntu is not supported for USM 1.0; thus, only the RHEL install guide is set for updates for USM. Please advise.

Comment 6 Harish NV Rao 2016-08-08 09:09:03 UTC
Martin, could you please verify this doc bug on or before 10th Aug. Please let me know.

Comment 18 Daniel Horák 2016-08-12 16:54:26 UTC
I reviewed the doc and I didn't noticed any other issue.

>> VERIFIED

Comment 20 errata-xmlrpc 2016-08-23 19:30:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.